Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,33 @@
Make ldconfig configurable
In a cross-compilation set up, running /sbin/ldconfig is useless, so
we make the path to ldconfig configurable through the environment/make
command line. This allows to pass LDCONFIG=/bin/true when doing
cross-compilation.
[Gustavo: update patch for olsr 0.6.4]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
diff -Nura olsrd-0.6.4.orig/make/Makefile.linux olsrd-0.6.4/make/Makefile.linux
--- olsrd-0.6.4.orig/make/Makefile.linux 2013-01-29 09:00:18.041356389 -0300
+++ olsrd-0.6.4/make/Makefile.linux 2013-01-29 09:01:51.598226624 -0300
@@ -3,6 +3,7 @@
#
ARCH := $(shell uname -m)
+LDCONFIG ?= /sbin/ldconfig
DESTDIR ?=
prefix ?= /usr/local
@@ -26,9 +27,9 @@
PLUGIN_SONAME ?= lib$(PLUGIN_NAME).so
PLUGIN_FULLNAME ?= $(PLUGIN_NAME).so.$(PLUGIN_VER)
INSTALL_LIB = install -D -m 755 $(PLUGIN_FULLNAME) $(LIBDIR)/$(PLUGIN_FULLNAME); \
- /sbin/ldconfig -n $(LIBDIR)
+ $(LDCONFIG) -n $(LIBDIR)
UNINSTALL_LIB = rm -f $(LIBDIR)/$(PLUGIN_FULLNAME); \
- /sbin/ldconfig -n $(LIBDIR)
+ $(LDCONFIG) -n $(LIBDIR)
ifdef OLSRD_PLUGIN
GENERATE_PIC = true

View File

@@ -0,0 +1,18 @@
config BR2_PACKAGE_OLSR
bool "olsrd"
depends on BR2_USE_MMU # fork()
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on !BR2_STATIC_LIBS
help
The Optimized Link State Routing protocol (OLSR) is a
routing protocol that is optimised for mobile ad-hoc
networks, sometimes called wireless mesh networks. It is a
proactive link-state routing protocol that floods a full
topology table to all nodes in the network which then
compute optimal forwarding paths locally.
http://www.olsr.org/
comment "olsr needs a toolchain w/ threads, dynamic library"
depends on BR2_USE_MMU
depends on !BR2_TOOLCHAIN_HAS_THREADS || BR2_STATIC_LIBS

View File

@@ -0,0 +1,23 @@
#!/bin/sh
case "$1" in
start)
printf "Starting oslrd daemon: "
start-stop-daemon -S -q -x /usr/sbin/olsrd -- -d 0 -pidfile /run/olsrd.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping olsrd daemon: "
start-stop-daemon -K -q -p /run/olsrd.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,2 @@
# From http://www.olsr.org/releases/0.9/SHA256SUM-0.9.0.2
sha256 cc464b29c7740354d815d5faa753fd27c0677d71e8eb42e78abc382996892845 olsrd-0.9.0.2.tar.bz2

View File

@@ -0,0 +1,51 @@
################################################################################
#
# olsr
#
################################################################################
OLSR_VERSION_MAJOR = 0.9
OLSR_VERSION = $(OLSR_VERSION_MAJOR).0.2
OLSR_SOURCE = olsrd-$(OLSR_VERSION).tar.bz2
OLSR_SITE = http://www.olsr.org/releases/$(OLSR_VERSION_MAJOR)
OLSR_PLUGINS = arprefresh bmf dot_draw dyn_gw dyn_gw_plain httpinfo jsoninfo \
mdns nameservice p2pd pgraph secure txtinfo watchdog
# Doesn't really need quagga but not very useful without it
OLSR_PLUGINS += $(if $(BR2_PACKAGE_QUAGGA),quagga)
OLSR_LICENSE = BSD-3c, LGPLv2.1+
OLSR_LICENSE_FILES = license.txt lib/pud/nmealib/LICENSE
OLSR_DEPENDENCIES = host-flex host-bison
define OLSR_BUILD_CMDS
$(TARGET_CONFIGURE_OPTS) $(MAKE) ARCH=$(KERNEL_ARCH) -C $(@D) olsrd
for p in $(OLSR_PLUGINS) ; do \
$(TARGET_CONFIGURE_OPTS) $(MAKE) ARCH=$(KERNEL_ARCH) -C $(@D)/lib/$$p ; \
done
endef
define OLSR_INSTALL_TARGET_CMDS
$(TARGET_CONFIGURE_OPTS) $(MAKE) -C $(@D) DESTDIR=$(TARGET_DIR) \
prefix="/usr" install_bin
for p in $(OLSR_PLUGINS) ; do \
$(TARGET_CONFIGURE_OPTS) $(MAKE) -C $(@D)/lib/$$p \
LDCONFIG=/bin/true DESTDIR=$(TARGET_DIR) \
prefix="/usr" install ; \
done
$(INSTALL) -D -m 0644 $(@D)/files/olsrd.conf.default.lq \
$(TARGET_DIR)/etc/olsrd/olsrd.conf
endef
define OLSR_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/olsr/S50olsr \
$(TARGET_DIR)/etc/init.d/S50olsr
endef
define OLSR_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/olsr/olsr.service \
$(TARGET_DIR)/usr/lib/systemd/system/olsr.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -sf ../../../../usr/lib/systemd/system/olsr.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/olsr.service
endef
$(eval $(generic-package))

View File

@@ -0,0 +1,10 @@
[Unit]
Description=Ad-hoc wireless mesh routing daemon
After=network.target
[Service]
ExecStart=/usr/sbin/olsrd -nofork
Restart=always
[Install]
WantedBy=multi-user.target